/// <reference types="react" />
import { IRelationSelectPro } from 'src/1properties/0define/0form/relationSelect';
import FormComponent from './abasecomp';
export default class TwRelationSelect extends FormComponent<IRelationSelectPro> {
    constructor(props: IRelationSelectPro);
    /**
     * 表格数据回显,方法错误
     * @param data  :数据行
     * @param name  :当前字段
     * @param field :字段配置
     */
    static getValues(data: any, name: any, field: any): Promise<unknown>;
    /**
     *
     * @param value :当前值
     * @param _row:数据行
     * @param field :字段配置
     * @param _1:索引位置
     * @param tableTarget:调用对象
     * @returns
     */
    static colFormatter(value: any, _row: any, field: any, _1: any, tableTarget: any): any;
    /**
     * 新增数据返回值
     * @param value :数据值
     * @returns
     */
    static getValue(value: any): any;
    render(): import("react").JSX.Element;
}
